bpm-convert will now read global variables in source.sh

This commit is contained in:
CapCreeperGR 2024-06-01 20:24:57 +03:00
parent 8b39b3d575
commit 6b82675582

View File

@ -50,11 +50,12 @@ export BPM_WORKDIR="$TEMPDIR"
export BPM_SOURCE="$TEMPDIR"/source
export BPM_OUTPUT="$TEMPDIR"/output
set -a
source source.sh
set +a
if [[ $(type -t prepare) == function ]]; then
echo "Running prepare() function..."
export -f prepare
fakeroot bash -e -c prepare
if [ $? -ne 0 ]; then
echo "Failed to run prepare() function in source.sh"
@ -64,7 +65,6 @@ fi
cd "$BPM_SOURCE"
if [[ $(type -t build) == function ]]; then
echo "Running build() function..."
export -f build
fakeroot bash -e -c build
if [ $? -ne 0 ]; then
echo "Failed to run build() function in source.sh"
@ -74,7 +74,6 @@ fi
cd "$BPM_SOURCE"
if [[ $(type -t check) == function ]]; then
echo "Running check() function..."
export -f check
fakeroot bash -e -c check
if [ $? -ne 0 ]; then
echo "Failed to run check() function in source.sh"
@ -86,7 +85,6 @@ if ! [[ $(type -t package) == function ]]; then
exit 1
fi
echo "Running package() function..."
export -f package
fakeroot bash -e -c package
if [ $? -ne 0 ]; then
echo "Failed to run package() function in source.sh"